PATCH
v1.0.0stable

Update source app

Update source app. Manage only sources owned by this token on the current tenant.

PATCH/api/appstore/manage/sources/:source_id/apps/:app_id
Афіша:Bearer Token
Ліміт:30/minute

Параметри запиту

Всі параметри можуть бути передані через Query або тіло

ПараметрТипПотрібніОпис
source_id
stringПотрібні
Source ID owned by this user on the current site
Приклад: 12345678
app_id
integerПотрібні
App ID within this source
Приклад: 1
name
stringДодатково
App name, up to 100 characters
Приклад: 演示应用
download_url
stringДодатково
HTTP(S) URL for downloading the app
Приклад: https://example.com/app.ipa
version
stringДодатково
App version
Приклад: 1.0
type
stringДодатково
App type
version_desc
stringДодатково
Release notes
icon_url
stringДодатково
HTTP(S) URL of the app icon
tint_color
stringДодатково
Theme color
size
stringДодатково
File size
is_lanzou
integerДодатково
LanZou Cloud link: 0/1
is_locked
integerДодатково
Requires a license key to unlock: 0/1
ios_version_limit
stringДодатково
iOS version restriction
weigh
integerДодатково
Sort weight
status
integerДодатково
Visibility: 0=hidden, 1=visible; publish drafts before editing

Відправити

ПараметрТипПотрібніОпис
code
integerПотрібні
1 indicates success; otherwise a token, validation or source error code
Приклад: 1
msg
stringПотрібні
Localized result message
Приклад: 获取成功
time
integerПотрібні
Unix timestamp in seconds
data
objectПотрібні
Allowlisted fields visible to the source owner
Приклад відповіді
{
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{
"id":1,
"source_id":"12345678",
"name":"演示应用",
"version":"1.0",
"download_url":"https://example.com/app.ipa",
"status":1,
"publish_status":"published"
}
}

Коди помилок

Коди помилок4 визначено
10
Invalid token
Token is invalid or rotated; HTTP 401
11
Token expired
Token has expired; HTTP 401
40001
Source not found
Source is missing or not owned by this user/tenant; HTTP 404

Мова відповіді

Налаштуйте мову відповіді API з заголовком X-Lang. Приклади коду нижче автоматично використовуйте мову поточного сайту.

Рекомендований заголовок
X-Lang: uk
Підтримувані мови
zh, en, zh-TW, vi, ar, es, ru

За підтримки X-Lang бере на себе пріоритет. Непідтримувані мови слідувати мовою сайту.

Приклади коду

curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/apps/1" \
  -H "X-Lang: uk" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "演示应用",
    "download_url": "https://example.com/app.ipa",
    "version": "1.0",
    "type": "example_type",
    "version_desc": "example_version_desc",
    "icon_url": "example_icon_url",
    "tint_color": "example_tint_color",
    "size": "example_size",
    "is_lanzou": 1,
    "is_locked": 1,
    "ios_version_limit": "example_ios_version_limit",
    "weigh": 1,
    "status": 1
  }'

Нотатки

  • 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
  • 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。

Спробуйте в Консоль

Заповнювати параметри нижче і відправити запит на тест. Запити тільки перейти до цього API сайту; URL-адреса заблокована і не може бути змінена, і ваш поточний логін cookie включено.

PATCHhttps://testypro.iwai.cc/api/appstore/manage/sources/12345678/apps/1Заблоковано на цей сайт
stringПотрібні

Source ID owned by this user on the current site

integerПотрібні

App ID within this source

string

App name, up to 100 characters

string

HTTP(S) URL for downloading the app

string

App version

string

App type

string

Release notes

string

HTTP(S) URL of the app icon

string

Theme color

string

File size

integer

LanZou Cloud link: 0/1

integer

Requires a license key to unlock: 0/1

string

iOS version restriction

integer

Sort weight

integer

Visibility: 0=hidden, 1=visible; publish drafts before editing